/*
 * Copyright (c) 2008-2014 Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global NX, Ext, Nexus*/

/**
 * Event 'repositoryReleased' detail.
 *
 * @since staging 2.3
 */
NX.define('Nexus.staging.repository.activity.EventDetail_repositoryReleased', {
    extend: 'Nexus.staging.repository.activity.EventDetail',

    getTitle: function () {
        if (!this.getProperties().target) {
            // groups do not have a target
            return 'Repository released';
        }
        else {
            return 'Repository released to: ' + this.getProperties().target;
        }
    }

});
